Package org.eclipse.ecf.filetransfer.service

# Interface ISendFileTransferFactory

public interface ISendFileTransferFactory
Send file transfer factory. This service interface is used by clients to create a new ISendFileTransfer instance, used to send file to remote clients.

## Method Summary

Modifier and Type
Method
Description
`ISendFileTransfer`
`newInstance()`
Get new instance of ISendFileTransfer.

## Method Details

### newInstance

ISendFileTransfer newInstance()
Get new instance of ISendFileTransfer.

Returns:
  ISendFileTransfer for initiating send of a local file.